Subject: problem with make in b18
From: [email-masked] (Nicholas J Brealey)

3 Jun 1997 21:48:36 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: VM 6.22 under 19.15 XEmacs Lucid
Original-Sender: [email-masked]

I have come across a strange problem with make with b18.

I have two make files:

one.mk contains

all:
	@echo CC=$(CC)
	@make -f two.mk

two.mk conatins

all:	
	@echo CC=$(CC)

With b18 on NT4.0 and Win95 I get the following behaviour:

$ make -f one.make CC=xx
CC=xx
CC=gcc

but using Gnu make on Solaris or Linux or using Gnu make compiled as a
native application on NT 4.0 I get:
$ make -f one.mk
CC=xx
make[1]: Entering directory `/home/nick'
CC=xx
make[1]: Leaving directory `/home/nick'  

or

$ make -s -f one.mk CC=xx
CC=xx
CC=xx   

Does anyone have any ideas?

Thanks in advance.

Nick
 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".